package com.winhc.utils;

import com.google.common.base.Charsets;
import com.google.common.io.Resources;
import org.apache.commons.lang3.StringUtils;

import java.io.IOException;
import java.net.URL;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author π
 * @Description:
 * @date 2023/5/5 17:28
 */
public class CommonName {
    public static List<String> NAMES = new ArrayList<>();

    static {
        URL url = Resources.getResource("data/name.txt");
        try {
            NAMES = Arrays.stream(Resources.toString(url, Charsets.UTF_8)
                    .split("\n"))
                    .filter(StringUtils::isNotBlank)
                    .distinct().collect(Collectors.toList());
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public static void main(String[] args) {
        List<String> n1 = NAMES;
        System.out.println(n1);
    }
}
